## mycompiler.mystatement
Class IfStmt

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.IfStmt

    public class IfStmt

extends Statement

Field Summary
`Statement` `else_block`
`Expr` `expr`
`boolean` `hamaDebug`
`Statement` `then_block`

Constructor Summary
`IfStmt()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` `if_codegen(ClassFile classfile, CodeAttribute code, boolean not, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` `set_Else_block(Statement blk)`
`void` `set_Expr(Expr exp)`
`void` `set_Then_block(Statement blk)`
`CTripleSet` `TRStatement(CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung des Algorithmus 5.21 von Martin Pl�micke Achtung Workaround: RefType "Boolean" durch BaseType \code{BooleanType} ersetzen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hamaDebug

    public boolean hamaDebug

### expr

    public Expr expr

### then_block

    public Statement then_block

### else_block

    public Statement else_block

Constructor Detail

### IfStmt

    public IfStmt()

Method Detail

### set_Expr

    public void set_Expr(Expr exp)

### set_Then_block

    public void set_Then_block(Statement blk)

### set_Else_block

    public void set_Else_block(Statement blk)

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`

### if_codegen

    public void if_codegen(ClassFile classfile,
                           CodeAttribute code,
                           boolean not,
                           de.dhbwstuttgart.typeinference.Menge paralist)
                    throws JVMCodeException

  Throws:
    `JVMCodeException`

### TRStatement

    public CTripleSet TRStatement(CSubstitutionSet sigma,
                                  CTypeAssumptionSet V,
                                  CSupportData supportData)

  Implementierung des Algorithmus 5.21 von Martin Pl�micke
  Achtung Workaround: RefType "Boolean" durch BaseType \code{BooleanType} ersetzen.
  Author: J�rg B�uerle

  Specified by:
    `TRStatement` in class `Statement`
  Parameters:
    `sigma` -
    `V` -
    `supportData` -
  Returns: